﻿@*@model IEnumerable<DomainClass.UserService>*@

@{
    ViewBag.Title = "ارائه خدمت";
    Layout = "~/Views/Shared/_UserHomeLayout.cshtml";
}
@section Scripts
{
    @Scripts.Render("~/bundles/anuserjobe")
}
<div ng-controller="userJobeController">
    @*<h2 align="center">مدیریت کاربران</h2>*@
    @*<p>{{userJobe.ServiceName}}</p>*@
    <h5 align="center" ng-show="loading">در حال واکشی داده ها...<i class="fa fa-spinner fa-spin fa-2x"></i></h5>


    <div class="w3-row-padding">
        <div ng-repeat="userJobe in userJobes">
            @*@foreach (var item in Model)
            {*@
                <div class="w3-quarter w3-container w3-margin-bottom">
                    <div class="w3-card-4 w3-round-large card w3-hover-grayscale w3-hover-opacity w3-animate-zoom" ng-click="doJobe(userJobe.ID)">
                        <p class="w3-center" @*ng-init="doTest(userJobe.ServiceID)"*@>
                        <span class="w3-left w3-badge w3-red">@*{{count.NumberInMonth}}*@{{userJobe.ServiceCD}}</span><span class="w3-right w3-badge w3-green">{{userJobe.ServiceCM}}</span></p>
                        <a href="#">
                            <img src="~/Images/img_avatar.png" alt="Avatar" style="width:100%" class="w3-circle">
                            <div class="w3-center">
                                @*<h6>@Html.DisplayFor(modelItem => item.Service.Name)</h6>
                                <h6>هزینه : @Html.DisplayFor(modelItem => item.Service.Amount)</h6>*@
                                <h6>{{userJobe.ServiceName}}</h6>
                                <h6>هزینه : {{userJobe.ServiceAmount}}</h6>
                                <h6><br /></h6>
                            </div>
                        </a>
                    </div>
                </div>
            @*}*@
        </div>
    </div>
    <form>
        <div class="form-group">
            <div class="input-group">
                <input type="text" class="form-control" placeholder="مورد جستجو را وارد کنید..." ng-model="query">
                <div class="input-group-addon"><i class="fa fa-search w3-text-green action-icon-form"></i></div>
            </div>
        </div>
    </form>
    <div id="contributors">
        <table class="table table-striped table-hover table-responsive defultcursor">
            <thead>
                <tr class="w3-light-blue">
                    @*<th>
                            <a href="#" ng-click="sortType = 'ID'; sortReverse = !sortReverse">
                                کد
                                <span ng-show="sortType == 'ID' && !sortReverse" class="fa fa-sort-down"></span>
                                <span ng-show="sortType == 'ID' && sortReverse" class="fa fa-sort-up"></span>
                            </a>
                        </th>*@
                    <th ng-click="sort('ServiceFullName')">
                        نوع سرویس
                        <span class="glyphicon sort-icon" ng-show="sortKey=='ServiceFullName'" ng-class="{'glyphicon-chevron-up':reverse,'glyphicon-chevron-down':!reverse}"></span>
                    </th>
                    <th ng-click="sort('CustomPhone')">
                        موبایل
                        <span class="glyphicon sort-icon" ng-show="sortKey=='CustomPhone'" ng-class="{'glyphicon-chevron-up':reverse,'glyphicon-chevron-down':!reverse}"></span>
                    </th>
                    <th ng-click="sort('CustomID')">
                        کد مشتری
                        <span class="glyphicon sort-icon" ng-show="sortKey=='CustomID'" ng-class="{'glyphicon-chevron-up':reverse,'glyphicon-chevron-down':!reverse}"></span>
                    </th>
                    <th ng-click="sort('CustomFullName')">
                        نام مشتری
                        <span class="glyphicon sort-icon" ng-show="sortKey=='CustomFullName'" ng-class="{'glyphicon-chevron-up':reverse,'glyphicon-chevron-down':!reverse}"></span>
                    </th>
                    <th ng-click="sort('Date')">
                        تاریخ
                        <span class="glyphicon sort-icon" ng-show="sortKey=='Date'" ng-class="{'glyphicon-chevron-up':reverse,'glyphicon-chevron-down':!reverse}"></span>
                    </th>
                    <th ng-click="sort('Time')">
                        زمان
                        <span class="glyphicon sort-icon" ng-show="sortKey=='Time'" ng-class="{'glyphicon-chevron-up':reverse,'glyphicon-chevron-down':!reverse}"></span>
                    </th>
                </tr>
            </thead>
            <tbody>
                @*<tr class="defultcursor" ng-repeat="Office in Offices.slice(((currentPage-1)*itemsPerPage),
                    ((currentPage)*itemsPerPage)) | filter:myfilter  |orderBy:sortKey:reverse">*@
                <tr dir-paginate="activity in activities | filter:query  | orderBy:sortKey:reverse | itemsPerPage:viewby">
                    @*<td>
                            {{activity.ID}}
                        </td>*@
                    <td style="width:20%;font-weight:bold">
                        {{activity.ServiceFullName}}
                    </td>
                    <td style="width:10%">
                        {{activity.CustomPhone}}
                    </td>
                    <td style="width:10%">
                        {{activity.CustomID}}
                    </td>
                    <td style="width:20%">
                        {{activity.CustomFullName}}
                    </td>
                    <td style="width:7%">
                        {{activity.Date}}
                    </td>
                    <td style="width:7%">
                        {{activity.Time}}
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table defultcursor">
            <tr>
                <td width="30%">
                    <dir-pagination-controls max-size=maxSize
                                             direction-links="true"
                                             boundary-links="true">
                    </dir-pagination-controls>

                </td>
                <td width="25%">
                    <form role="form" class="form-inline">
                        <div class="form-group form-group-sm">
                            <label class="pagination">تعداد سطرهای قابل نمایش:</label>
                            <select class="form-control pagination" ng-model="viewby" ng-change="setItemsPerPage(viewby)" ng-options="item for item in viewByOption"></select>
                        </div>
                    </form>
                </td>
                <td width="15%">
                    <label class="pagination w3-text-brown">کل رکوردها: {{activities.length}}</label>
                </td>
                <td width="20%">
                    <label class="pagination w3-text-deep-purple">رکوردهای قابل نمایش: {{(activities|filter:query).length}}</label>
                </td>
            </tr>
        </table>
    </div>

</div>